%global npm_name har-validator

Summary:       Extremely fast HTTP Archive (HAR) validator using JSON Schema
Name:          nodejs-%{npm_name}
Version:       1.8.0
Release:       1%{?dist}
License:       ISC
URL:           https://github.com/ahmadnassri/har-validator
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
Extremely fast HTTP Archive (HAR) validator using JSON Schema.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr bin lib package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

mkdir -p %{buildroot}/%{_bindir}/
ln -s %{nodejs_sitelib}/%{npm_name}/har-validator %{buildroot}/%{_bindir}/har-validator

%files
%doc LICENSE README.md
%{nodejs_sitelib}/%{npm_name}
%{_bindir}/har-validator

%changelog
* Mon Sep 14 2015 Troy Dawson <tdawson@redhat.com> - 1.8.0-1
- Initial package
